<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'ctmeser';
  	var  $codigo = '0';
	var  $nparte1 = '0';
	var  $tip_ven = '0';
	//var  $modulo = '0';
	var  $np_desc1 = '0';
	//var  $des_cor = '0';
	var  $ubicacion = '0';
	//var  $exi_min = '0';
	var  $cod_pro = '0';
	var  $uc_fec_doc = '0';
	//var  $uc_num_doc = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $cod_cli = '0';
	var  $uv_fec_doc = '0';
	var  $uv_num_doc = '0';
	var  $uv_pre_com = '0';
	var  $por_com_ven = '0';
	var  $es_paq = '0';
	var  $npartes = '0';
	//var  $fac_rend = '0';
	var  $status = '0';
	var  $lastInsId = '0';
	var  $descripcion = '0';
	var  $iniciales = '0';
	var  $cvpvta = '0';

//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE nparte1 = '$this->nparte1' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->nparte1=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (nparte1, np_desc1, ubicacion, acc_fec, acc_hor, usuario, codigo, descripcion, iniciales, cvpvta) values ('$this->nparte1', '$this->np_desc1', 'V', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."', '$this->codigo','$this->descripcion', '$this->iniciales', '$this->cvpvta')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($nparte1){
		$sql= "SELECT * FROM $this->nom_tabla WHERE nparte1 = '$nparte1'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($nparte1){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = $_POST['pos_pun_ven']";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select nparte1 from ctmeser order by CAST(nparte1 AS UNSIGNED) desc limit 1'));
		return ($dt_invent['nparte1']+1);
	}
//Funcion de Modificar
	function modifica($nparte1){
		$sql = "UPDATE $this->nom_tabla SET np_desc1='$this->np_desc1', ubicacion='V',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['num_usu']."',cod_var='$this->cod_var', codigo='$this->codigo', descripcion='$this->descripcion', iniciales='$this->iniciales', cvpvta='$this->cvpvta' where nparte1 ='$nparte1'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($nparte1){   
		$sql = "DELETE FROM $this->nom_tabla WHERE nparte1 = '$nparte1'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>